#include <iostream>

using namespace std;

int main()
{
	long long int n, br = 0;
    cin >> n;
    int x[n], y[n], z[n];
    for(int i = 1; i < n + 1; i++){
    	cin >> x[i];
	}
	for(int i = 1; i < n + 1; i++){
    	cin >> y[i];
	}
	for(int i = 1; i < n + 1; i++){
    	cin >> z[i];
	}
	for(int i = 1; i < n + 1; i++){
    	for(int j = 1; j < n + 1; j++){
    		if(x[i] == y[z[j]])
    		br++;
		}
	}
    cout << br;
    return 0;
}